%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name xmobar
%define f_pkg_name xmobar
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: xmobar
Version: 0.13
Release: alt1
License: BSD3
Packager: Denis Smirnov <mithraen@altlinux.ru>
Group: Development/Haskell
Url: http://code.haskell.org/~arossato/xmobar
Source: %name-%version.tar
Summary: A Minimalistic Text Based Status Bar
# Automatically added by buildreq on Thu Aug 04 2011 (-bb)
# optimized out: elfutils fontconfig ghc ghc-alsa-core ghc-mtl ghc-network ghc-parsec ghc-syb ghc-transformers ghc-utf8-string ghc-x11 libX11-devel libgmp-devel pkg-config
BuildRequires: ghc-alex ghc-alsa-mixer ghc-c2hs ghc-happy ghc-hinotify ghc-hscolour ghc-libmpd ghc-stm ghc-x11-xft libXext-devel libXft-devel libXinerama-devel libalsa-devel libwireless-devel

BuildRequires: ghc libwireless-devel
BuildRequires: ghc-hinotify ghc(mtl) ghc-parsec ghc-stm ghc-x11-xft libXext-devel libXft-devel libXinerama-devel ghc-libmpd
BuildRequires(pre): rpm-build-haskell

Patch: %name-%version-%release.patch

%description
Xmobar is a minimalistic text based status bar.

Inspired by the Ion3 status bar, it supports similar features, like dynamic
color management, output templates, and extensibility through plugins.

%prep
%setup -n %h_pkg_name-%version

%build
%hs_configure2 -f "with_xft with_utf8 with_inotify with_mpd all_extensions"
%hs_build

%install
runghc Setup copy --destdir=%buildroot

%files
%_bindir/%name
%doc LICENSE README samples

%changelog
* Wed Aug 03 2011 Denis Smirnov <mithraen@altlinux.ru> 0.13-alt1
- 0.13

* Wed Mar 09 2011 Denis Smirnov <mithraen@altlinux.ru> 0.12-alt2
- build -threaded version

* Thu Mar 03 2011 Denis Smirnov <mithraen@altlinux.ru> 0.12-alt1
- 0.12

* Sun Oct 10 2010 Denis Smirnov <mithraen@altlinux.ru> 0.11.1-alt9
- add xmobar.config-sample

* Thu Sep 16 2010 Denis Smirnov <mithraen@altlinux.ru> 0.11.1-alt8
- fix build requires

* Thu Sep 16 2010 Denis Smirnov <mithraen@altlinux.ru> 0.11.1-alt7
- build with MPD support

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 0.11.1-alt6
- auto rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 0.11.1-alt5
- auto rebuild

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 0.11.1-alt2
- first build for Sisyphus
